# Wallet Plugins

The `use` function exposed via the ArweaveKit object from `arweavekit/wallet` package allows you to plugin external packages into arweave kit package.

### Basic Syntax

The function is called as follows:

{% code title="usage.js" %}

```javascript
import * as externalPackage from 'externalPackage';
import { ArweaveKit } from 'arweavekit/wallet';

const arweaveKit = ArweaveKit.use({ name: 'MyPlugIn', plugin: externalPackage });

console.log(arweavekit.functionFromExternalPackage())
```

{% endcode %}

{% hint style="info" %}
The ArweaveKit object imported also contains all functions from the ArweaveKit package for ease of use.
{% endhint %}

### Create a Plugin

Most existing packages in Arweave will already be supported without any additional work, the functions just need to be defined and exported in the external package:

{% code title="externalPackage.js" %}

```javascript
import * as ExternalPackage from 'package'
export function PackagePlugIn() {
    return ExternalPackage
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arweavekit.com/wallets/wallet-plugins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
